Bug 12886 - shelfbrowser script should write headers
Summary: shelfbrowser script should write headers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-08 14:18 UTC by Jonathan Druart
Modified: 2015-06-04 23:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12886: shelfbrowser script should write headers (1000 bytes, patch)
2014-09-08 14:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12886: shelfbrowser script should write headers (1.03 KB, patch)
2014-10-15 15:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 12886: shelfbrowser script should write headers (1.03 KB, patch)
2014-11-03 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 12886: shelfbrowser script should write headers (1.14 KB, patch)
2014-11-03 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-09-08 14:18:11 UTC
The shelfbrowser script (opac/svc/shelfbrowser.pl) does not write http headers.
Comment 1 Jonathan Druart 2014-09-08 14:21:41 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-10-15 15:24:58 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-10-15 21:34:09 UTC
I am not sure why this happens, but with the patch applied for every time I use the 'arrow' picture, a 1 appears in the bottom left corner.
This doesn't happen without the patch applied.
Comment 4 Jonathan Druart 2014-11-03 09:51:57 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-11-03 09:52:46 UTC
(In reply to Katrin Fischer from comment #3)
> I am not sure why this happens, but with the patch applied for every time I
> use the 'arrow' picture, a 1 appears in the bottom left corner.
> This doesn't happen without the patch applied.

Silly error, print should have been removed, done.
Comment 6 Katrin Fischer 2014-11-03 21:47:05 UTC
Created attachment 33178 [details] [review]
[PASSED QA] Bug 12886: shelfbrowser script should write headers

opac/svc/shelfbrowser.pl does not write http headers.

On a production server, this patch resolves a server internal error
(500):
  Bad header=    <div id="shelfbrowser">

I did not reproduce on my local instance, but this should be fixed.

Test plan:
Verify there is no regression on browsing a shelf (with "en" and translated
templates)

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes tests and QA script, no regressions found.
Comment 7 Tomás Cohen Arazi 2014-11-21 23:57:08 UTC
Patch pushed to master.

Thanks Jonathan!